Draft Drawing: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
mNo edit summary
 
(41 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<translate>
<translate>

<!--T:19-->
<!--T:19-->
{{Docnav
{{docnav|[[Draft_Clone|Clone]]|[[Draft_Mirror|Mirror]]|[[Draft_Module|Draft_Module]]}}
|
|
|[[Draft_Workbench|Draft]]
|IconL=
|IconR=
|IconC=Workbench_Draft.svg
}}

<!--T:23-->
{{VeryImportantMessage|THIS COMMAND IS OBSOLETE<br>
Both the command and the [[Drawing_Workbench|Drawing Workbench]] it works with are not available in {{VersionPlus|0.21}}. Use the [[TechDraw_Workbench|TechDraw Workbench]] and the [[TechDraw_DraftView|TechDraw DraftView]] command instead.}}


<!--T:1-->
<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=Draft Drawing
|Name=Draft Drawing
|Workbenches=[[Drawing_Workbench|Drawing]], [[Draft_Workbench|Draft]], [[Arch_Workbench|Arch]]
|MenuLocation=Drafting → Drawing
|SeeAlso=[[TechDraw_DraftView|TechDraw DraftView]]
|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]
|SeeAlso=[[TechDraw Workbench]], [[Draft Shape2DView]]
}}
}}
{{VeryImportantMessage|Development of the [[Drawing Workbench]] stopped in FreeCAD 0.16; the new [[TechDraw Workbench]] aiming to replace it was introduced in v0.17. Both workbenches are still provided in v0.17, but the Drawing Workbench may be removed in future releases.}}


==Description== <!--T:2-->
==Description== <!--T:2-->


<!--T:3-->
<!--T:3-->
The [[Image:Draft_Drawing.svg|24px]] '''Draft Drawing''' command inserts views of selected objects into a [[Drawing_Workbench|drawing]] page.
The Drawing tool allows you to put selected objects on a drawing sheet created with the [[Drawing Workbench]]. If no [[Drawing templates|sheet]] exists in the document, a default one will be created.


<!--T:14-->
<!--T:14-->
This tool works similarly to the [[Drawing View]] tool but is optimized for [[Draft Workbench]] objects, and can render 2D objects with a face filling. It can handle specific objects such as [[Draft Dimension]] and [[Draft Text]], that the [[Drawing View]] tool cannot handle.
This command is similar to the [[Drawing_View|Drawing View]] command but is optimized for [[Draft_Workbench|Draft]] objects. Contrary to that command, it can handle specific objects such as [[Draft_Dimension|Draft Dimensions]] and [[Draft_Text|Draft Texts]], and it can render faces.

<!--T:24-->
This command is now obsolete. Use the [[TechDraw_Workbench|TechDraw Workbench]] and the [[TechDraw_DraftView|TechDraw DraftView]] command instead.


</translate>
</translate>
Line 25: Line 38:
<translate>
<translate>
<!--T:15-->
<!--T:15-->
{{Caption|Draft object and dimensions imported into a Drawing page}}
{{Caption|On the left the selected Draft objects. On the right the created drawing views.}}


==How to use== <!--T:4-->
==Usage== <!--T:4-->


<!--T:5-->
<!--T:5-->
# To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See [[Interface_Customization|Interface Customization]].
# Select the objects that you wish to put on a drawing sheet.
# Select one or more objects. A separate view will be created for each object.
# In the same selection, add the [[Drawing Workbench]] page object in which you want to draw the projection of the objects.
# Optionally add a [[Drawing_Workbench|Drawing]] page to the selection. If you do not, the view is inserted into the first page in the document. If there are no pages in the document a new page is created first.
# Press the {{Button|[[Image:Draft Drawing.png|16px]] [[Draft Drawing]]}} button.
# Press the {{Button|[[Image:Draft_Drawing.svg|16px]] [[Draft_Drawing|Draft Drawing]]}} button.
# There is a bug in the FreeCAD version 0.19 version of the command. The initial value of the {{PropertyData|Direction}} property is {{Value|[0, 0, 0]}} which is not allowed. For objects on a plane parallel to the XY plane of the global coordinate system it should be changed to {{Value|[0, 0, 1]}}. After changing this property the page and the view may need to be [[Std_Refresh|recomputed]].


<!--T:16-->
Notes:
* The tool will work best with 2D objects from the [[Draft Workbench]] or [[Sketcher Workbench]].
* The selected object can also be an [[Arch SectionPlane]], which will show the elements viewed by that plane.
* If there is no existing page, a new one will be created.
* If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
* If you select a sheet and the objects already projected on that sheet, the projections will be updated.


==Options== <!--T:6-->
<!--T:18-->
{{Docnav

|
<!--T:7-->
|
There are no options for this tool. Either it works with the selected objects or not.
|[[Draft_Workbench|Draft]]

|IconL=
==Properties== <!--T:8-->
|IconR=

|IconC=Workbench_Draft.svg
<!--T:9-->
* {{PropertyData|Fill Style}}: specifies the fill style "concrete", "square", "simple", "wood", "line", "cross", "woodgrain", or "shape color". This property only works for closed shapes.
* {{PropertyData|Font Size}}: specifies the font size of texts and dimensions.
* {{PropertyData|Line Width}}: specifies the line width of viewed objects in millimeters.

==Scripting== <!--T:10-->
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].

<!--T:11-->
The Drawing tool can be used in [[macros]] and from the [[Python]] console by using the following function:

</translate>
{{Code|code=
DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
}}
}}
<translate>


<!--T:12-->
* Creates a {{incode|DrawingView}} from {{incode|obj}} in the specified {{incode|page}}.
* If given, {{incode|lwmod}} modifies line weights in percentage, and {{incode|tmod}} modifies text heights in percentage.

<!--T:17-->
The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by {{incode|X}} and {{incode|Y}}, which are given in millimeters, and {{incode|Scale}} is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

<!--T:13-->
Example:
</translate>
{{Code|code=
import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
}}
<translate>

<!--T:18-->
{{docnav|[[Draft_Clone|Clone]]|[[Draft_Mirror|Mirror]]|[[Draft_Module|Draft_Module]]}}
{{Draft Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Draft Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:34, 20 May 2023

THIS COMMAND IS OBSOLETE
Both the command and the Drawing Workbench it works with are not available in version 0.21 and above. Use the TechDraw Workbench and the TechDraw DraftView command instead.

Draft Drawing

Menu location
None
Workbenches
Drawing, Draft, Arch
Default shortcut
None
Introduced in version
-
See also
TechDraw DraftView

Description

The Draft Drawing command inserts views of selected objects into a drawing page.

This command is similar to the Drawing View command but is optimized for Draft objects. Contrary to that command, it can handle specific objects such as Draft Dimensions and Draft Texts, and it can render faces.

This command is now obsolete. Use the TechDraw Workbench and the TechDraw DraftView command instead.

On the left the selected Draft objects. On the right the created drawing views.

Usage

  1. To use this command in FreeCAD version 0.19 and later you need to add a button to a custom toolbar. See Interface Customization.
  2. Select one or more objects. A separate view will be created for each object.
  3. Optionally add a Drawing page to the selection. If you do not, the view is inserted into the first page in the document. If there are no pages in the document a new page is created first.
  4. Press the Draft Drawing button.
  5. There is a bug in the FreeCAD version 0.19 version of the command. The initial value of the DataDirection property is [0, 0, 0] which is not allowed. For objects on a plane parallel to the XY plane of the global coordinate system it should be changed to [0, 0, 1]. After changing this property the page and the view may need to be recomputed.